Skip to main content
GET
/
v1
/
chains
/
{chain_name}
/
orders
/
collection-bids
/
{collection_bid_id}
Get a single collection bid by ID
curl --request GET \
  --url https://api.sandbox.immutable.com/v1/chains/{chain_name}/orders/collection-bids/{collection_bid_id}
import requests

url = "https://api.sandbox.immutable.com/v1/chains/{chain_name}/orders/collection-bids/{collection_bid_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.sandbox.immutable.com/v1/chains/{chain_name}/orders/collection-bids/{collection_bid_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "result": {
    "account_address": "0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266",
    "sell": [
      {
        "type": "ERC20",
        "amount": "9750000000000000000",
        "contract_address": "0x0165878A594ca255338adfa4d48449f69242Eb8F"
      }
    ],
    "fees": [],
    "chain": {
      "id": "eip155:11155111",
      "name": "sepolia"
    },
    "created_at": "2022-03-07T07:20:50.52Z",
    "end_at": "2022-03-10T05:00:50.52Z",
    "id": "018792C9-4AD7-8EC4-4038-9E05C598534A",
    "order_hash": "0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266",
    "protocol_data": {
      "order_type": "PARTIAL_RESTRICTED",
      "counter": "1",
      "zone_address": "0x12",
      "seaport_address": "0x12",
      "seaport_version": "1.5"
    },
    "salt": "12686911856931635052326433555881236148",
    "buy": [
      {
        "type": "ERC721_COLLECTION",
        "contract_address": "0x692edAd005237c7E737bB2c0F3D8ccCc10D3479E",
        "amount": "1"
      }
    ],
    "signature": "0x",
    "start_at": "2022-03-09T05:00:50.52Z",
    "status": {
      "name": "EXPIRED"
    },
    "type": "COLLECTION_BID",
    "updated_at": "2022-03-07T07:20:50.52Z"
  }
}
{
  "message": "all fields must be provided",
  "link": "https://docs.x.immutable.com/reference/#/",
  "trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
  "code": "VALIDATION_ERROR",
  "details": {}
}
{
  "message": "all fields must be provided",
  "link": "https://docs.x.immutable.com/reference/#/",
  "trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
  "code": "RESOURCE_NOT_FOUND",
  "details": {}
}
{
  "message": "all fields must be provided",
  "link": "https://docs.x.immutable.com/reference/#/",
  "trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
  "code": "INTERNAL_SERVER_ERROR",
  "details": {}
}

Path Parameters

chain_name
string
required

The name of chain

Example:

"imtbl-zkevm-testnet"

collection_bid_id
string<uuid>
required

Global Collection Bid identifier

Example:

"018792C9-4AD7-8EC4-4038-9E05C598534A"

Response

OK response.

result
object
required
Example:
{
  "account_address": "0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266",
  "buy": [
    {
      "type": "NATIVE",
      "amount": "9750000000000000000",
      "contract_address": "0x0165878A594ca255338adfa4d48449f69242Eb8F"
    }
  ],
  "fees": [],
  "chain": {
    "id": "eip155:11155111",
    "name": "sepolia"
  },
  "created_at": "2022-03-07T07:20:50.52Z",
  "end_at": "2022-03-10T05:00:50.52Z",
  "id": "018792C9-4AD7-8EC4-4038-9E05C598534A",
  "protocol_data": {
    "order_type": "FULL_RESTRICTED",
    "counter": "1",
    "zone_address": "0x12",
    "seaport_address": "0x12",
    "seaport_version": "1.4"
  },
  "salt": "12686911856931635052326433555881236148",
  "sell": [
    {
      "type": "ERC721",
      "contract_address": "0x692edAd005237c7E737bB2c0F3D8ccCc10D3479E",
      "token_id": "1"
    }
  ],
  "signature": "0x",
  "start_at": "2022-03-09T05:00:50.52Z",
  "status": { "name": "ACTIVE" },
  "fill_status": { "numerator": 1, "denominator": 2 },
  "type": "LISTING",
  "updated_at": "2022-03-07T07:20:50.52Z"
}